Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.browser.config.window
Class BrowserPath

    java.lang.Object
      org.gjt.jclasslib.browser.config.window.BrowserPath

public class BrowserPath
extends Object

Description of the selected path in the tree of a `BrowserComponent`.

Version:
  $Revision: 1.1 $ $Date: 2003/08/18 08:10:15 $
Author:
  Ingo Kegel

Constructor Summary
`BrowserPath()`

Method Summary
`void` | `addPathComponent(PathComponent pathComponent)` Add a single browser path component to this browser path.
`LinkedList` | `getPathComponents()` Get the list of browser path components.
`void` | `setPathComponents(LinkedList pathComponents)` Set the list of browser path components.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BrowserPath

    public BrowserPath()

Method Detail

### getPathComponents

    public LinkedList getPathComponents()

  Get the list of browser path components.

  Returns:
    the list.

### setPathComponents

    public void setPathComponents(LinkedList pathComponents)

  Set the list of browser path components.

  Parameters:
    `pathComponents` - the list.

### addPathComponent

    public void addPathComponent(PathComponent pathComponent)

  Add a single browser path component to this browser path.

  Parameters:
    `pathComponent` - the new component.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD